﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class PuntajeBar : MonoBehaviour {
    const int N = 5;
    private OrbesEngine global;
    public GameObject[] Stars;

	void Start ()
    {
        global = GameObject.Find("Global").GetComponent<OrbesEngine>();
        global.MaxPuntos = CalculaMaximo(global.ValorPunto, global.OrbesMax, global.MultiPerOrbes, N);

        int Acum = 0;
        for(int i = 0; i< Stars.Length; i++)
        {
            Acum += global.MaxPuntos / (Stars.Length + 1);
            Stars[i].GetComponent<Medallas>().Punto = Acum; 
        }
	}
	

	void Update ()
    {
        GetComponent<Image>().fillAmount =  (global.Puntos *1f) / global.MaxPuntos;
	}

    int CalculaMaximo(int Valor, int MaxOrb, int OrbPerSec, int MaxMulti)
    {
        int i, acum, cant, N;

        acum = 0;
        cant = MaxOrb / OrbPerSec;
        if (cant >= MaxMulti)
            N = MaxMulti;
        else
            N = cant;

        for(i = 0; i < N - 1; i++)
            acum += Valor * OrbPerSec * (i + 1);

        acum += (MaxOrb - (OrbPerSec * (i - 1)) ) * Valor * i;

        return acum;
    }
}
