﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;


public class BotonEngine : MonoBehaviour {

    public float IntesityLuz = 3;
    private float Vel = 10;
    public bool IsActivo;
    public Vector3 Target;
    private OrbesEngine global;
    private AudioSource Audio;

    private float StartDeg ;
    private float VelIni;

	void Start ()
    {
        Audio = GameObject.Find("SoundButton").GetComponent<AudioSource>();
        global = GameObject.Find("Global").GetComponent<OrbesEngine>();
        StartDeg = global.degreesPerSecondMin;
        VelIni = Vel;
        IsActivo = false;
	}
	
	void Update ()
    {
        Vel = VelIni +(global.degreesPerSecond - StartDeg);
        transform.position = Vector3.MoveTowards(transform.position, Target, Vel * Time.deltaTime);

        if(IsActivo)
        {
           // GetComponentInChildren<Light>().color = GetComponent<SpriteRenderer>().color;
           // GetComponentInChildren<Light>().intensity = IntesityLuz;
            /*if (Input.GetMouseButtonDown(0))
            {
		        RaycastHit2D hit = Physics2D.Raycast(Camera.main.ScreenToWorldPoint(Input.mousePosition), Vector2.zero);
            */
            if (Input.touchCount == 1 && Input.GetTouch(0).phase == TouchPhase.Began)
            {
                Ray ray = Camera.main.ScreenPointToRay(Input.touches[0].position);
                RaycastHit2D hit = Physics2D.GetRayIntersection(ray);
                if (hit.collider != null)
                {
                    GetComponent<SpriteRenderer>().color = Color.clear;
                    IsActivo = false;
                    if (hit.collider.gameObject == gameObject)
                    {
                        Audio.PlayDelayed(0);
                        global.Puntos += global.ValorPunto * global.MultiInt;
                        global.AcumOrbes++;
                    }
                    else
                    {
                        global.RestaLifes();
                        global.Error = true;
                    }
                       
                }
                else
                {
                    GetComponent<SpriteRenderer>().color = Color.clear;
                    IsActivo = false;
                    global.RestaLifes();
                    global.Error = true;
                }

            }
        }
        //else
        //     GetComponentInChildren<Light>().intensity = 0;


    }
}
